import*as React from'react';import {Card,Popconfirm}from'antd';function RegistryCard({
  registry,
  onEdit,
  onRemove
}) {
  const edit = () => onEdit(registry);
  const remove = () => {
    onRemove(registry);
  };
  return React.createElement(Card, {
    hoverable: true,
    actions: [React.createElement("span", {
      key: "remove",
      onClick: edit
    }, "Edit"), React.createElement(Popconfirm, {
      title: "Are you sure?",
      okButtonProps: {
        danger: true
      },
      onConfirm: remove,
      key: "remove"
    }, React.createElement("span", null, "Remove"))]
  }, React.createElement(Card.Meta, {
    title: registry.name,
    description: registry.url
  }));
}export{RegistryCard};//# sourceMappingURL=RegistryCard.js.map
