import*as React from'react';import {map}from'lodash-es';import {Popconfirm,Button}from'antd';const Action = props => {
  const {
    name,
    action,
    wrapper,
    danger,
    message,
    ...rest
  } = props;
  const btn = danger ? React.createElement(Popconfirm, {
    placement: "topLeft",
    title: message,
    onConfirm: action,
    okText: "Yes",
    cancelText: "No"
  }, React.createElement(Button, {
    size: "small",
    ...rest,
    danger: danger
  }, name)) : React.createElement(Button, {
    size: "small",
    onClick: action,
    ...rest
  }, name);
  return wrapper ? wrapper(btn) : btn;
};
const TableActions = ({
  actions
}) => React.createElement("div", {
  style: styles.row
}, map(actions, (action, key) => React.createElement(Action, {
  key: key,
  ...action
})));
const styles = {
  row: {
    textAlign: 'right'
  }
};export{Action,TableActions};//# sourceMappingURL=TableActions.js.map
